function labelMatrix = ReadBSIFile(bsiFilePath)


fid = fopen(bsiFilePath,'r');

if (fid == -1)

    fprintf(1, 'Cannot open BSI file: %s\n', bsiFilePath);
    
    labelMatrix = -1;
    
else
    [header, count] = fread (fid, 4, 'int32');
    
    [labelMatrix, count] = fread(fid, [header(3) header(4)], 'int32');
    
    labelMatrix = labelMatrix';
    
    
    fclose(fid);    
end

